[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolutions.Delete

Deletes the image resolution stored at the specified position in the container.

## Declaration

Source position: imglist.pp line 242

`public procedure TCustomImageListResolutions.Delete(`
`const AIndex: Integer`
`);`

## Arguments

`AIndex` |  | Ordinal position of the image resolution to delete from the container.

## Description

Delete is a procedure used to remove the image resolution stored at the specified position in the container. Delete calls the Delete method in the internal TObjectList member which stores the image resolutions for the container.

AIndex contains the ordinal position of the object instance deleted in the method.

Use the Clear method to remove all image resolutions stored in the container.

## See also

TCustomImageListResolutions.Clear |  | Clears all image resolutions stored in the container.